import { ChangeDetectorRef } from "@angular/core";
import { MatLegacyDialogRef as MatDialogRef } from "@angular/material/legacy-dialog";
import { NotificationService, TranslationStore } from "@smallstack/i18n-components";
import { FrontendTypeRegistry } from "../../services/frontend-type.registry";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import * as i0 from "@angular/core";
export interface TypeEditorDialogData {
    schema: SmallstackTypeSchema;
    title: string;
    subTitle?: string;
    model?: any;
    type: string;
}
export declare class TypeEditorDialogComponent {
    dialogRef: MatDialogRef<TypeEditorDialogComponent>;
    data: TypeEditorDialogData;
    private frontendTypeRegistry;
    private notificationService;
    private translationStore;
    private typeEditor;
    protected icon: string;
    private type;
    constructor(dialogRef: MatDialogRef<TypeEditorDialogComponent>, data: TypeEditorDialogData, frontendTypeRegistry: FrontendTypeRegistry, notificationService: NotificationService, translationStore: TranslationStore, cdr: ChangeDetectorRef);
    protected validateAndSave(): () => Promise<void>;
    protected remove(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeEditorDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeEditorDialogComponent, "smallstack-type-editor-dialog", never, {}, {}, never, never, true, never>;
}
